List a workflow's runs
curl --request GET \
--url https://app.usertick.com/api/public/v1/workflows/{workflowId}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/workflows/{workflowId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/workflows/{workflowId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"skipReason": "<string>",
"triggerType": "<string>",
"responseId": "<string>",
"attempt": 123,
"errorClass": "<string>",
"error": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"finishedAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}
List a workflow's runs
A workflow’s runs, newest first. An app or an AI assistant whose member’s role reaches only selected surveys can’t read runs (403 AUTHZ-007-001).
Scopes: workflows:read.
GET
/
workflows
/
{workflowId}
/
runs
List a workflow's runs
curl --request GET \
--url https://app.usertick.com/api/public/v1/workflows/{workflowId}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usertick.com/api/public/v1/workflows/{workflowId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.usertick.com/api/public/v1/workflows/{workflowId}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"skipReason": "<string>",
"triggerType": "<string>",
"responseId": "<string>",
"attempt": 123,
"errorClass": "<string>",
"error": "<string>",
"createdAt": "2026-09-30T10:00:00.000Z",
"finishedAt": "2026-09-30T10:00:00.000Z"
}
],
"nextCursor": "<string>"
}
Authorizations
bearerAuthapiKeyHeader
Query Parameters
Last modified on November 9, 2026